Package uk.ac.starlink.topcat.plot2

## Interface ConfigSpecifier.ComponentGui

- Enclosing class:
    ConfigSpecifier

      public static interface ConfigSpecifier.ComponentGui

  GUI component policy. An instance of this interface defines how the specifier component is generated for each key.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `<T> uk.ac.starlink.ttools.plot2.config.Specifier<T>` | `createSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<T> key)` | Returns a new specifier for a given key.

- - ### Method Detail

    - #### createSpecifier

          <T> uk.ac.starlink.ttools.plot2.config.Specifier<T> createSpecifier​(uk.ac.starlink.ttools.plot2.config.ConfigKey<T> key)

      Returns a new specifier for a given key.

      The obvious way to do it is to call `key.createSpecifier()`, but abstracting the step using this interface provides a hook to decorate or otherwise customise these specifiers.

      Parameters:
        `key` - config key
      Returns:
        specifier for key